## puppet-agent 7.20.0

=== debian/changelog ===
puppet-agent (7.20.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/7.20.0' (Closes: #1021198)
  * d/patches:
    - drop upstreamed patches
    + set Debian path for vendormoduledir
  * d/control: bump Standards-Version, no changes needed
  * create basemodulepath and vendormoduledir directories

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 14 Oct 2022 07:40:23 -0400

puppet-agent (7.16.0-3) unstable; urgency=medium

  * Upload to unstable, no changes needed.

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 01 Oct 2022 09:47:40 -0400

puppet-agent (7.16.0-2) experimental; urgency=medium

  [ Jérôme Charaoui ]
  * Drop patches to "debian" service provider
  * Improve descriptions and metadata of remaining patches
  * Replace our custom versions with upstream's:
    * hiera.yaml and puppet.conf config files
    * systemd service unit file
    * sysvinit script with upstream's

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 10 Jun 2022 17:02:46 -0400

puppet-agent (7.16.0-1) experimental; urgency=medium

  * New upstream release.
  * This replaces the puppet 5.5 source package and only provides Puppet
    agent for the 7.x series and later: puppet-master and its related
    bits are not distributed by upstream anymore, and the replacement
    puppet-server source code is provided in a separate tarball
  * The baseline for the changes listed below is the puppet-5.5.22-4 package
    which provided the puppet agent in bullseye and earlier releases

  * Renamed service to "puppet-agent" with "puppet" alias
  * debian/control:
    * added new dependencies: ruby-concurrent and ruby-semantic-puppet
    * do not build puppet-master or puppet-common packages
    * build puppet -> puppet-agent transitional package
    * add Breaks/Replaces older puppet package
  * debian/rules:
    * added publicdir config to install.rb
    * logcheck config removed
    * replaced some dh_overrides with dh_execute_after
    * added a note about upstream tests
    * removed unnecessary cleanup of /usr/lib/ruby/vendor_modules
  * debian/copyright: updated copyright/license information
  * debian/tests: removed tests for puppet-master
  * debian/patches: dropped not-needed patches, refreshed relevant ones
  * maintscripts: remove preinst script related to puppet-common, it has been
    a transitional package in the last 2 Debian releases
  * updated upstream/metadata

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 30 Apr 2022 09:59:18 -0400
