=== debian/control ===
Source: puppet-agent
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@alioth-lists.debian.net>
Uploaders:
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 12),
 facter,
 hiera,
 rake,
 ronn,
 ruby-concurrent,
 ruby-deep-merge,
 ruby-semantic-puppet,
 ruby-sorted-set,
 yard,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/puppet-team/puppet-agent.git
Vcs-Browser: https://salsa.debian.org/puppet-team/puppet-agent
Homepage: https://github.com/puppetlabs/puppet

Package: puppet-agent
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 facter,
 hiera,
 init-system-helpers (>= 1.50),
 lsb-base,
 ruby,
 ruby-augeas,
 ruby-concurrent,
 ruby-deep-merge,
 ruby-semantic-puppet,
 ruby-shadow,
 ruby-sorted-set,
 ${misc:Depends},
Recommends:
 debconf-utils,
 lsb-release,
 ruby-selinux,
Suggests:
 ruby-hocon,
 ruby-rrd,
Breaks:
 facter (<< 2.4.0~),
 puppet (<< 7.16.0),
 puppet-common (<< 4.5.1-1),
 puppetmaster-common (<< 4.4.2-1~),
 ruby-gettext-setup (<< 0.17),
Replaces:
 puppet (<< 7.16.0),
 puppet-common (<< 4.5.1-1),
 puppetmaster-common (<< 4.4.2-1~),
Description: configuration management system
 Puppet is a configuration management system that allows you to define
 the state of your IT infrastructure, then automatically enforces the
 correct state.
 .
 This package contains the puppet agent software and documentation.

Package: puppet
Depends:
 puppet-agent,
 ${misc:Depends},
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
