=== debian/tests/control ===
Test-Command: cd debian/tests && rspec spec/puppet/*_spec.rb
Depends:
 puppet-agent,
 ruby-serverspec,
Restrictions: needs-root,isolation-container

Test-Command: cd debian/tests && ./service-setup systemd && rspec spec/service-systemd/*_spec.rb
Depends:
 puppet-agent,
 ruby-serverspec,
 systemd-sysv,
Restrictions: needs-root, isolation-container

Test-Command: for v in `dh_ruby --print-supported`; do $v -e "require 'puppet'"; done
Depends:
 gem2deb,
 puppet-agent,
 ruby-all-dev,

## Disabled; there's currently no way to reliably switch init systems on the fly
# Test-Command: cd debian/tests && ./service-setup sysvinit && rspec spec/service-sysvinit/*_spec.rb
# Depends:
#  puppet,
#  sysvinit-core,
#  ruby-serverspec,
# Restrictions: needs-root, isolation-container, needs-reboot
