## puppet-agent 7.23.0

=== debian/changelog ===
puppet-agent (7.23.0-1) unstable; urgency=medium

  * New upstream version 7.23.0
  * fix prior version in maintscript
  * d/patches: name the tests
  * d/debconf/po: add new translations
    (Closes: #1030257, #1030281, #1030580, #1030656, #1030807)

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 10 Feb 2023 09:54:26 -0500

puppet-agent (7.22.0-3) unstable; urgency=medium

  * fix postrm issue identified by piuparts
  * add NEWS file to inform about new postrm purging

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 29 Jan 2023 10:45:20 -0500

puppet-agent (7.22.0-2) unstable; urgency=medium

  * d/patches: don't nullify :ssldir default
  * create devices and public in $statedir
  * purge puppet data more fully, add debconf question

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 28 Jan 2023 13:44:31 -0500

puppet-agent (7.22.0-1) unstable; urgency=medium

  * New upstream version 7.22.0
  * d/control: add augeas-tools to Recommends (Closes: #924920)
  * d/tests:
    + fix hardcoded home in config paths
    + add spec for parameterized classes and hiera (Closes: #730762)
    + improve puppet spec structure
    + add augeas core module test
  * Revert "d/rules: removed unneeded dh_missing override"

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 27 Jan 2023 13:46:17 -0500

puppet-agent (7.21.0-3) unstable; urgency=medium

  * rename service from puppet-agent to puppet
  * d/patches: fix regular user ssldir default (Closes: #1029023)
  * d/control:
    + add Breaks puppet-master packages
    + add useful modules to Suggests:
    + incompatible with latest ruby-concurrency
    + tweak Suggests:
    + improve main package description
    - lsb-base is obsolete
    - remove very old Breaks/Replaces
  * create /var/lib/puppet/ssl and set correct perms
  * d/tests: autopkgtests overhaul

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 24 Jan 2023 13:47:27 -0500

puppet-agent (7.21.0-2) unstable; urgency=medium

  * d/control: bump Standards-Version, no changes needed
  * d/patches: change cadir default to path under /etc
  * set ownership and permissions on /var/lib/puppet

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 13 Jan 2023 16:31:41 -0500

puppet-agent (7.21.0-1) unstable; urgency=medium

  * New upstream version 7.21
  * d/patches: also adjust new_ca_dir path
  * d/rules: install puppet gemspec (Closes: #923892)
  * d/rules: removed unneeded dh_missing override
  * remove obsolete puppet config files (Closes: #1021965)

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 12 Jan 2023 15:23:15 -0500
