=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
  debhelper-compat (= 12),
  facter,
  hiera,
+ po-debconf,
  rake,
  ronn,
- ruby-concurrent,
+ ruby-concurrent (<< 1.2.0),
  ruby-deep-merge,
  ruby-semantic-puppet,
  ruby-sorted-set,
  yard,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/puppet-team/puppet-agent.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppet-agent
 Homepage: https://github.com/puppetlabs/puppet
@@ -29,38 +30,46 @@
  facter,
  hiera,
  init-system-helpers (>= 1.50),
- lsb-base,
  ruby,
  ruby-augeas,
- ruby-concurrent,
+ ruby-concurrent (<< 1.2.0),
  ruby-deep-merge,
  ruby-semantic-puppet,
  ruby-shadow,
  ruby-sorted-set,
  ${misc:Depends},
 Recommends:
+ augeas-tools,
  debconf-utils,
  lsb-release,
  ruby-selinux,
 Suggests:
+ hiera-eyaml,
+ puppet-module-puppetlabs-augeas-core,
+ puppet-module-puppetlabs-cron-core,
+ puppet-module-puppetlabs-host-core,
+ puppet-module-puppetlabs-mount-core,
+ puppet-module-puppetlabs-selinux-core,
+ puppet-module-puppetlabs-sshkeys-core,
+ puppet-module-puppetlabs-stdlib,
  ruby-hocon,
- ruby-rrd,
+ ruby-msgpack,
 Breaks:
  facter (<< 2.4.0~),
  puppet (<< 7.16.0),
  puppet-common (<< 4.5.1-1),
- puppetmaster-common (<< 4.4.2-1~),
+ puppet-master (<< 7.9.3),
+ puppet-master-passenger (<< 7.9.3),
  ruby-gettext-setup (<< 0.17),
 Replaces:
  puppet (<< 7.16.0),
  puppet-common (<< 4.5.1-1),
- puppetmaster-common (<< 4.4.2-1~),
-Description: configuration management system
+Description: configuration management system, agent
  Puppet is a configuration management system that allows you to define
  the state of your IT infrastructure, then automatically enforces the
  correct state.
  .
- This package contains the puppet agent software and documentation.
+ This package contains the main Puppet libraries and the agent application.
 
 Package: puppet
 Depends:
