## puppet-agent 8.4.0

=== debian/changelog ===
puppet-agent (8.4.0-1) unstable; urgency=medium

  * Rebuild for unstable. (Closes: #1064295, #1063453)
  * d/rules: add Rules-Requires-Root: no
  * d/gbp.conf: configure export-orig component
  * d/NEWS: add item about core modules
  * Update renamed lintian tag names in lintian overrides.
  * Remove constraints unnecessary since bullseye (oldstable)
  * Use secure copyright file specification URI.

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 20 Feb 2024 08:12:28 -0500

puppet-agent (8.4.0-1~exp2) experimental; urgency=medium

  * d/changelog: add missing closed bug number
  * d/rules: drop obsolete target
  * improve build cleanup

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 17 Feb 2024 12:16:05 -0500

puppet-agent (8.4.0-1~exp1) experimental; urgency=medium

  * New upstream version 8.4.0
  * bundle core modules in component tarball (Closes: #1056355, #1060084)
  * d/control:
    + update deps for new upstream version
    + add Breaks: puppetserver lower than 8
    + bump debhelper-compat to 13
    - drop hiera dependency (Closes: #892908)
  * d/patches: refresh for new upstream version
  * d/po:
    + add chinese translations (Closes: #1063437)
    + add it translation (Closes: #1050107)
    + add pt_BR translation (Closes: #1033420)
  * d/puppet.gemspec: set ruby requirement to 3.1.0
  * d/tests: fix test-name feature
  * d/watch: remove 7.x selector

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 11 Feb 2024 14:53:24 -0500
