=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders:
  Jérôme Charaoui <jerome@riseup.net>,
 Build-Depends:
- debhelper-compat (= 12),
- facter,
- hiera,
+ debhelper-compat (= 13),
+ facter (>= 4.3.0),
  po-debconf,
  rake,
  ronn,
- ruby-concurrent (<< 1.2.0),
+ ruby-concurrent,
  ruby-deep-merge,
  ruby-semantic-puppet,
  ruby-sorted-set,
@@ -20,6 +19,7 @@
 Vcs-Git: https://salsa.debian.org/puppet-team/puppet-agent.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppet-agent
 Homepage: https://github.com/puppetlabs/puppet
+Rules-Requires-Root: no
 
 Package: puppet-agent
 Architecture: all
@@ -27,13 +27,12 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
- facter,
- hiera,
- init-system-helpers (>= 1.50),
+ facter (>= 4.3.0),
  ruby,
  ruby-augeas,
- ruby-concurrent (<< 1.2.0),
+ ruby-concurrent,
  ruby-deep-merge,
+ ruby-puppet-resource-api,
  ruby-semantic-puppet,
  ruby-shadow,
  ruby-sorted-set,
@@ -45,22 +44,14 @@
  ruby-selinux,
 Suggests:
  hiera-eyaml,
- puppet-module-puppetlabs-augeas-core,
- puppet-module-puppetlabs-cron-core,
- puppet-module-puppetlabs-host-core,
- puppet-module-puppetlabs-mount-core,
- puppet-module-puppetlabs-selinux-core,
- puppet-module-puppetlabs-sshkeys-core,
- puppet-module-puppetlabs-stdlib,
  ruby-hocon,
  ruby-msgpack,
 Breaks:
- facter (<< 2.4.0~),
  puppet (<< 7.16.0),
  puppet-common (<< 4.5.1-1),
  puppet-master (<< 7.9.3),
  puppet-master-passenger (<< 7.9.3),
- ruby-gettext-setup (<< 0.17),
+ puppetserver (<< 8),
 Replaces:
  puppet (<< 7.16.0),
  puppet-common (<< 4.5.1-1),
