=== debian/tests/control ===
Test-Command: cd debian/tests && rspec spec/puppet/*_spec.rb
Depends:
 cron,
 puppet-agent,
 ruby-serverspec,
Restrictions: needs-sudo, isolation-container
Features: test-name=spec-puppet

Test-Command: cd debian/tests && ./service-setup systemd && rspec spec/service-systemd/*_spec.rb
Depends:
 puppet-agent,
 ruby-serverspec,
 systemd-sysv,
Restrictions: needs-root, isolation-container
Features: test-name=spec-service-systemd

Test-Command: for v in `dh_ruby --print-supported`; do $v -e "require 'puppet'"; done
Depends:
 gem2deb,
 puppet-agent,
 ruby-all-dev,
Features: test-name=ruby

Test-Command: gem list --local puppet | grep -q "^puppet\s"
Depends:
 puppet-agent,
 ruby-rubygems,
Features: test-name=gem

## Disabled; there's currently no way to reliably switch init systems on the fly
# Test-Command: cd debian/tests && ./service-setup sysvinit && rspec spec/service-sysvinit/*_spec.rb
# Depends:
#  puppet,
#  sysvinit-core,
#  ruby-serverspec,
# Restrictions: needs-root, isolation-container, needs-reboot
