=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,filenamemangle=s/.*puppet\-([\d\.]+\.tar\.gz)$/puppet-agent-$1/ \
https://downloads.puppet.com/puppet/ puppet-([\d\.]+).tar.gz
