## puppet-agent 8.10.0

=== debian/changelog ===
puppet-agent (8.10.0-5) unstable; urgency=medium

  * d/copyright: fix old-fsf-address lintian warning
  * d/control: bump Standards-Version, no changes needed
  * d/patches: add patch to improve reproducibility
  * d/tests: add serverspec run with recommends

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 29 Mar 2025 09:15:23 -0400

puppet-agent (8.10.0-4) unstable; urgency=medium

  * d/patches: reinstate patch for getoptlong version
  * add Catalan po-debconf translation

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 31 Jan 2025 09:05:01 -0500

puppet-agent (8.10.0-3) unstable; urgency=medium

  * d/control: add ruby interperter to build-deps
  * d/control: add versioned libruby
  * d/patches: drop relax getoptlong version requirement (Closes: #1094445)

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 30 Jan 2025 10:08:30 -0500

puppet-agent (8.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 02 Dec 2024 19:43:40 -0500

puppet-agent (8.10.0-2) unstable; urgency=medium

  * build html reference docs and ship in new puppet-doc package
  * use gem2deb to cleanup gemspec and generate substvars
  * d/control: add missing ruby dependencies
  * d/patch: add patch to relax getoptlong requirement
  * d/tests: ensure gem dependencies are satisfied

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 22 Nov 2024 10:55:03 -0500

puppet-agent (8.10.0-1) unstable; urgency=medium

  * New upstream version 8.10.0
  * d/control: drop ruby-sorted-set from deps
  * d/control: bump Standards-Version, no changes needed
  * d/patches: refresh default paths patch
  * d/patches: new patch to fix manpages
  * d/rules: improve vendor_modules docs selection
  * d/rules: ship upstream version of gemspec
  * d/rules: include lib dir when building manpages
  * d/upstream: drop obsolete signing key
  * d/watch: switch to github source
  * add support for nodoc build profile

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 17 Nov 2024 10:32:28 -0500

puppet-agent (8.4.0-2) unstable; urgency=medium

  * d/patches: add patch to disable reports by default (Closes: #1080489)
  * add NEWS items about new "reports" default
  * d/README.Debian: add differences from upstream
  * d/tests: add unit test for reports = none
  * d/upstream: update URLs in metadata

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 05 Sep 2024 08:57:32 -0400
