=== debian/control ===
--- 
+++ 
@@ -7,15 +7,22 @@
 Build-Depends:
  debhelper-compat (= 13),
  facter (>= 4.3.0),
+ gem2deb,
+ pandoc <!nodoc>,
  po-debconf,
- rake,
- ronn,
+ rake <!nodoc>,
+ ronn <!nodoc>,
+ ruby,
  ruby-concurrent,
  ruby-deep-merge,
+ ruby-fast-gettext,
+ ruby-locale,
+ ruby-multi-json,
+ ruby-puppet-resource-api,
+ ruby-scanf,
  ruby-semantic-puppet,
- ruby-sorted-set,
- yard,
-Standards-Version: 4.6.2
+ yard <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/puppet-team/puppet-agent.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppet-agent
 Homepage: https://github.com/puppetlabs/puppet
@@ -27,16 +34,12 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
- facter (>= 4.3.0),
+ libruby (>=3.3),
  ruby,
  ruby-augeas,
- ruby-concurrent,
- ruby-deep-merge,
- ruby-puppet-resource-api,
- ruby-semantic-puppet,
  ruby-shadow,
- ruby-sorted-set,
  ${misc:Depends},
+ ${ruby:Depends}
 Recommends:
  augeas-tools,
  debconf-utils,
@@ -62,6 +65,21 @@
  .
  This package contains the main Puppet libraries and the agent application.
 
+Package: puppet-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+Suggests:
+ puppet-agent,
+ sensible-browser,
+Description: configuration management system, docs
+ Puppet is a configuration management system that allows you to define
+ the state of your IT infrastructure, then automatically enforces the
+ correct state.
+ .
+ This package contains reference documentation for Puppet and its core modules.
+
 Package: puppet
 Depends:
  puppet-agent,
