=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,15 @@
  ruby-serverspec,
 Restrictions: needs-sudo, isolation-container
 Features: test-name=spec-puppet
+
+Test-Command: cd debian/tests && rspec spec/puppet/*_spec.rb
+Depends:
+ cron,
+ puppet-agent,
+ ruby-serverspec,
+ @recommends@,
+Restrictions: needs-sudo, isolation-container
+Features: test-name=spec-puppet-recommends
 
 Test-Command: cd debian/tests && ./service-setup systemd && rspec spec/service-systemd/*_spec.rb
 Depends:
@@ -21,11 +30,11 @@
  ruby-all-dev,
 Features: test-name=ruby
 
-Test-Command: gem list --local puppet | grep -q "^puppet\s"
+Test-Command: gem2deb-test-runner --check-dependencies
 Depends:
+ gem2deb-test-runner,
  puppet-agent,
- ruby-rubygems,
-Features: test-name=gem
+Features: test-name=gem-dependencies
 
 ## Disabled; there's currently no way to reliably switch init systems on the fly
 # Test-Command: cd debian/tests && ./service-setup sysvinit && rspec spec/service-sysvinit/*_spec.rb
